//
//  IConfig.h
//  Config
//
//  Created by tong Ricky on 12-5-31.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#ifndef S_OK
#define S_OK     0
#endif

#ifndef E_FALSE
#define E_FALSE -1
#endif

@interface IConfig : NSObject
// -------------------------------------------------------------------------------
/// config接口对象
// -------------------------------------------------------------------------------
+ (id) iconfig;

// -------------------------------------------------------------------------------
/// 初化模块
/// \return 0:成功
// -------------------------------------------------------------------------------
- (UInt) InitInstance;

///卸载模块
- (void) UnInitInstance;

// -------------------------------------------------------------------------------
/// 是否注册
/// \return YES:注册 NO:没注册
// -------------------------------------------------------------------------------
- (BOOL) IsRegister;

// -------------------------------------------------------------------------------
/// 设置软件启动隐藏注册提示页
// -------------------------------------------------------------------------------
- (void) SetHideRegWindow;

// -------------------------------------------------------------------------------
/// 显示提示页窗口
// -------------------------------------------------------------------------------
- (void) showRegWindow:(id) aParent;

// -------------------------------------------------------------------------------
/// 检查有没版本更新
// -------------------------------------------------------------------------------
- (void) checkUpdate;

///获注册信息
- (NSArray*) SoftwareRegInfo;
@end
